<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:34:04 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
org.apache.http.impl Class Hierarchy (HttpComponents Core 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.apache.http.impl Class Hierarchy (HttpComponents Core 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/entity/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/impl/entity/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/impl/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For Package org.apache.http.impl
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><B>Object</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.<A HREF="../../../../org/apache/http/impl/AbstractHttpClientConnection.html" title="class in org.apache.http.impl"><B>AbstractHttpClientConnection</B></A> (implements org.apache.http.<A HREF="../../../../org/apache/http/HttpClientConnection.html" title="interface in org.apache.http">HttpClientConnection</A>)
<UL>
<LI TYPE="circle">org.apache.http.impl.<A HREF="../../../../org/apache/http/impl/SocketHttpClientConnection.html" title="class in org.apache.http.impl"><B>SocketHttpClientConnection</B></A> (implements org.apache.http.<A HREF="../../../../org/apache/http/HttpInetConnection.html" title="interface in org.apache.http">HttpInetConnection</A>)
<UL>
<LI TYPE="circle">org.apache.http.impl.<A HREF="../../../../org/apache/http/impl/DefaultHttpClientConnection.html" title="class in org.apache.http.impl"><B>DefaultHttpClientConnection</B></A></UL>
</UL>
<LI TYPE="circle">org.apache.http.impl.<A HREF="../../../../org/apache/http/impl/AbstractHttpServerConnection.html" title="class in org.apache.http.impl"><B>AbstractHttpServerConnection</B></A> (implements org.apache.http.<A HREF="../../../../org/apache/http/HttpServerConnection.html" title="interface in org.apache.http">HttpServerConnection</A>)
<UL>
<LI TYPE="circle">org.apache.http.impl.<A HREF="../../../../org/apache/http/impl/SocketHttpServerConnection.html" title="class in org.apache.http.impl"><B>SocketHttpServerConnection</B></A> (implements org.apache.http.<A HREF="../../../../org/apache/http/HttpInetConnection.html" title="interface in org.apache.http">HttpInetConnection</A>)
<UL>
<LI TYPE="circle">org.apache.http.impl.<A HREF="../../../../org/apache/http/impl/DefaultHttpServerConnection.html" title="class in org.apache.http.impl"><B>DefaultHttpServerConnection</B></A></UL>
</UL>
<LI TYPE="circle">org.apache.http.impl.<A HREF="../../../../org/apache/http/impl/DefaultConnectionReuseStrategy.html" title="class in org.apache.http.impl"><B>DefaultConnectionReuseStrategy</B></A> (implements org.apache.http.<A HREF="../../../../org/apache/http/ConnectionReuseStrategy.html" title="interface in org.apache.http">ConnectionReuseStrategy</A>)
<LI TYPE="circle">org.apache.http.impl.<A HREF="../../../../org/apache/http/impl/DefaultHttpRequestFactory.html" title="class in org.apache.http.impl"><B>DefaultHttpRequestFactory</B></A> (implements org.apache.http.<A HREF="../../../../org/apache/http/HttpRequestFactory.html" title="interface in org.apache.http">HttpRequestFactory</A>)
<LI TYPE="circle">org.apache.http.impl.<A HREF="../../../../org/apache/http/impl/DefaultHttpResponseFactory.html" title="class in org.apache.http.impl"><B>DefaultHttpResponseFactory</B></A> (implements org.apache.http.<A HREF="../../../../org/apache/http/HttpResponseFactory.html" title="interface in org.apache.http">HttpResponseFactory</A>)
<LI TYPE="circle">org.apache.http.impl.<A HREF="../../../../org/apache/http/impl/EnglishReasonPhraseCatalog.html" title="class in org.apache.http.impl"><B>EnglishReasonPhraseCatalog</B></A> (implements org.apache.http.<A HREF="../../../../org/apache/http/ReasonPhraseCatalog.html" title="interface in org.apache.http">ReasonPhraseCatalog</A>)
<LI TYPE="circle">org.apache.http.impl.<A HREF="../../../../org/apache/http/impl/HttpConnectionMetricsImpl.html" title="class in org.apache.http.impl"><B>HttpConnectionMetricsImpl</B></A> (implements org.apache.http.<A HREF="../../../../org/apache/http/HttpConnectionMetrics.html" title="interface in org.apache.http">HttpConnectionMetrics</A>)
<LI TYPE="circle">org.apache.http.impl.<A HREF="../../../../org/apache/http/impl/NoConnectionReuseStrategy.html" title="class in org.apache.http.impl"><B>NoConnectionReuseStrategy</B></A> (implements org.apache.http.<A HREF="../../../../org/apache/http/ConnectionReuseStrategy.html" title="interface in org.apache.http">ConnectionReuseStrategy</A>)
</UL>
</UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/entity/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/impl/entity/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/impl/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
